---
type: docs
no_list: true
---

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/daprcon.png" alt="DaprCon logo" width=40>
        <b> Watch DaprCon sessions on-demand!</b>
      </h5>
      <p class="card-text">
        The first ever DaprCon took place October 19th-20th, 2021. Read this recap and find links to all on-demand content <br></br><i><b>Learn more >></b></i>
      </p>
      <a href="https://blog.dapr.io/posts/2021/10/21/thanks-for-a-great-first-daprcon/" class="stretched-link"></a>
    </div>
  </div>
</div>

<br></br>
# <img src="/images/home-title.png" alt="Dapr Docs" width=400>

Welcome to the Dapr documentation site!


{{% alert title="What is Dapr?" color="primary" %}}
Dapr is a portable, event-driven runtime that makes it easy for any developer to build resilient, 
stateless and stateful applications that run on the cloud and edge and embraces the diversity of 
languages and developer frameworks. Leveraging the benefits of a sidecar architecture, Dapr helps 
you tackle the challenges that come with building microservices and keeps your code platform agnostic. 
{{< button text="Get started" page="getting-started" >}}
{{% /alert %}}


### Start developing with Dapr

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Getting started</b></h5>
      <p class="card-text">How to get up and running with Dapr in your environment in minutes.</p>
      <a href="{{< ref getting-started >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Quickstarts</b></h5>
      <p class="card-text">A collection of tutorials with code samples to get you started quickly with Dapr.</p>
      <a href="{{< ref quickstarts >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Concepts</b></h5>
      <p class="card-text">Learn about Dapr, including its main features and capabilities.</p>
      <a href="{{< ref concepts >}}" class="stretched-link"></a>
    </div>
  </div>
</div>


### Learn more about Dapr

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Developing applications</b></h5>
      <p class="card-text">Tools, tips, and information on how to build your application with Dapr.</p>
      <a href="{{< ref developing-applications >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Building blocks</b></h5>
      <p class="card-text">Capabilities that solve common development challenges for distributed applications.</p>
      <a href="{{< ref building-blocks-concept >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Operations</b></h5>
      <p class="card-text">Hosting options, best-practices, and other guides and running your application on Dapr.</p>
      <a href="{{< ref operations >}}" class="stretched-link"></a>
    </div>
  </div>
</div>


### Additional info

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Reference</b></h5>
      <p class="card-text">Detailed documentation on the Dapr API, CLI, bindings and more.</p>
      <a href="{{< ref reference >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title"><b>Contributing</b></h5>
      <p class="card-text">How to contribute to the Dapr project and the various repositories.</p>
      <a href="{{< ref contributing >}}" class="stretched-link"></a>
    </div>
  </div>
</div>


### Tooling and resources

<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/vscode.svg" alt="Visual studio code icon" width=40>
        <b>IDE Integrations</b>
      </h5>
      <p class="card-text">
        Learn how to get up and running with Dapr in your preferred integrated development environment.
      </p>
      <a href="{{< ref ides >}}" class="stretched-link"></a>
    </div>
  </div>
</div>
<br>
<div class="card-deck">
<div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/code.svg" alt="Code icon" width=40>
        <b>Language SDKs</b>
      </h5>
      <p class="card-text">
        Create Dapr applications in your preferred language using the Dapr SDKs.
      </p>
      <a href="{{< ref sdks >}}" class="stretched-link"></a>
    </div>
  </div>
</div>
<br>
<div class="card-deck">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/dotnet.png" alt=".NET logo" width=30>
        <b>.NET</b>
      </h5>
      <p class="card-text">
        Learn more about the .NET SDK.
      </p>
      <a href="{{< ref dotnet >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/python.png" alt="Python logo" width=30>
        <b>Python</b>
      </h5>
      <p class="card-text">
        Learn more about the Python SDK.
      </p>
      <a href="{{< ref python >}}" class="stretched-link"></a>
    </div>
  </div>
</div>
<br>
<div class="card-deck">
<div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/javalang.png" alt="Java logo" width=30>
        <b>Java</b>
      </h5>
      <p class="card-text">
        Learn more about the Java SDK.
      </p>
      <a href="{{< ref java >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/golang.svg" alt="Go logo" width=30>
        <b>Go</b>
      </h5>
      <p class="card-text">
        Learn more about the Go SDK.
      </p>
      <a href="{{< ref go >}}" class="stretched-link"></a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">
        <img src="/images/homepage/php.png" alt="PHP logo" width=30>
        <b>PHP</b>
      </h5>
      <p class="card-text">
        Learn more about the PHP SDK.
      </p>
      <a href="{{< ref php >}}" class="stretched-link"></a>
    </div>
  </div>
</div>